summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-06-20 23:22:28 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-06-20 23:22:28 +0200
commit4a66c2b46db0302f432cc347cdefbc19a409ddd8 (patch)
tree7b9e7197c9fca69b19f90454d9481a04602b5eea /dev-ml/rresult
parentdev-qt/qtpositioning: keyword ~arm64 (diff)
downloadgentoo-4a66c2b46db0302f432cc347cdefbc19a409ddd8.tar.gz
gentoo-4a66c2b46db0302f432cc347cdefbc19a409ddd8.tar.bz2
gentoo-4a66c2b46db0302f432cc347cdefbc19a409ddd8.zip
dev-ml/rresult: initial import
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'dev-ml/rresult')
-rw-r--r--dev-ml/rresult/Manifest1
-rw-r--r--dev-ml/rresult/metadata.xml11
-rw-r--r--dev-ml/rresult/rresult-0.5.0.ebuild34
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-ml/rresult/Manifest b/dev-ml/rresult/Manifest
new file mode 100644
index 00000000000..8fbf19d9866
--- /dev/null
+++ b/dev-ml/rresult/Manifest
@@ -0,0 +1 @@
+DIST rresult-0.5.0.tbz 9185 SHA256 15faf4a755eb7df876e9cb77e608a98fcb4eabd023450e77ba082bd86067bef7 SHA512 45787b61adb7daedf72e4ff632cf3d4917bccb3e83613dabf93437982887d9a0ed3b6cbefb2b17cb341a825346cb0609286df581c6ff379583dc83672ee25efc WHIRLPOOL c4088aa525ad6b9154aa62268503b8e4a6d497dbfd0aa68ef2dff0368c9d53410d6729451558431c15418dd66e1c2d5905e4a92a99b9cbfb235243ee3e683b3e
diff --git a/dev-ml/rresult/metadata.xml b/dev-ml/rresult/metadata.xml
new file mode 100644
index 00000000000..bd8c75be2de
--- /dev/null
+++ b/dev-ml/rresult/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>Gentoo ML Project</name>
+</maintainer>
+ <upstream>
+ <remote-id type="github">dbuenzli/rresult</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ml/rresult/rresult-0.5.0.ebuild b/dev-ml/rresult/rresult-0.5.0.ebuild
new file mode 100644
index 00000000000..5078c39a985
--- /dev/null
+++ b/dev-ml/rresult/rresult-0.5.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Result value combinators for OCaml"
+HOMEPAGE="http://erratique.ch/software/rresult https://github.com/dbuenzli/rresult"
+SRC_URI="http://erratique.ch/software/rresult/releases/${P}.tbz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ dev-lang/ocaml:=
+ dev-ml/result:=
+"
+DEPEND="${RDEPEND}
+ dev-ml/topkg
+ dev-ml/opam
+ dev-ml/ocamlbuild"
+
+src_compile() {
+ ocaml pkg/pkg.ml build || die
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ ${PN}.install || die
+}